### Constructor

# Clutter Path new_with_description

#### Declaration [src]

    ClutterPath*
    clutter_path_new_with_description (
      const gchar* desc
    )

#### Description [src]

Creates a new `ClutterPath` instance with the nodes described in `desc`. See `clutter_path_add_string()` for details of the format of the string.

#### Parameters

`desc`

  Type: `const gchar*`

  A string describing the path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterPath`

The newly created `ClutterPath`.

The data is owned by the called function.